Favicon

You are here: Home > API Reference > Platform > Organization Storageproviders > Test storageProvider by ID

Test storageProvider by ID

Required Permission: base.organization.storageProvider.test

Test storageProvider by ID

GET
https://api.applivery.io/v1/organizations/{organizationId}/storage-providers/{storageProviderId}/test
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/storage-providers/{storageProviderId}/test" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/storage-providers/{storageProviderId}/test", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/storage-providers/{storageProviderId}/test",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
storageProviderId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data array [object] optional
test string optional
≤ 128 characters
status boolean optional
message string optional
≤ 500 characters
extra object optional
{
    "status": true,
    "data": [
        {
            "test": "string",
            "status": true,
            "message": "string",
            "extra": {}
        }
    ]
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}